Set global template
Updated
Sets a global Media Gateway flow configuration template.
https://api.agora.io/{region}/v1/projects/{appId}/rtls/ingress/appconfigThis method sets a global flow configuration template, that is, the template that applies to all streaming keys under the app ID.
Note
For users of the beta version: Previously this API could also be used to set the transcoding parameters. Now it is recommended that you use the template creation API instead. If you have used this API to set transcoding, the current flow is the following:
- If you reset
defaultStreamTemplate, thetranscodingpreviously set through this API will automatically become invalid, and the parameters in the new template will prevail. - If you do not reset
defaultStreamTemplate, thetranscodingpreviously set through this API will remain as the default global configuration for this app ID.
Note
Before calling this API, create a flow configuration template.
Path Parameters
Region for the streaming key or stream. Supported values are na for North America, eu for Europe, ap for Asia except mainland China, and cn for mainland China.
Important
Make sure that:
- The
regionvalue is the same as for the input source stream. - The domain names for setting the
regionparameter and streaming are the same. - The
regionvalue is in lowercase.
na | eu | ap | cnThe app ID provided by Agora to each developer. After creating a project in Agora Console, you can get an app ID. The app ID is a unique identifier for a project.
Header Parameters
The UUID (Universally Unique Identifier) of the request. After you pass in this field, the Agora server returns this field in the response header. It is recommended to assign X-Request-ID a value. If omitted, the Agora server automatically generates a UUID and returns it.
6d35d43f-f4c5-4b3a-9df4-8f0d7e1d5f0aRequest Body
application/json
Response Body
application/json
application/json
application/json
Response schema
200application/jsonThe request succeeded and set the global template.
The status of this request. success means the request succeeds.
401application/jsonThe request failed. A 401 (Unauthorized) response status code means the request is not authorized.
Response Headers
The UUID (Universally Unique Identifier) of the request. The value is in the X-Request-ID response header. If a request error occurs, print the value in the log to troubleshoot the problem.
200Example6d35d43f-f4c5-4b3a-9df4-8f0d7e1d5f0aRequest examples
curl --location -g --request PUT 'https://api.agora.io/{{region}}/v1/projects/{{appId}}/rtls/ingress/appconfig' \--data '{ "settings": { "defaultStreamTemplate": "720p" }}'Response example
{ "status": "success"}{ "status": "error", "message": "Describes why the request failed."}{ "status": "error", "message": "Describes why the request failed."}